EnKash Developer Portal
Home
Home
Login
  1. E-Collect
  • Back to home
  • APIs - Payment Gateway
  • Authorization
    • Generate Authorization Token
    • Payment Modes Details
  • Order
    • UPI Intent Links
    • Get Dynamic UPI QR
    • Create Order
    • Get Order Status
    • Get Order By Merchant Order Id
    • Get BNPL Payment Methods
    • Search Order
  • Payment
    • Get Transaction Status
    • Submit Payment Request
    • Payment Notify Request
    • Verify UPI VPA
    • Validate OTP
    • Get UPI Transaction Status
    • Resend OTP
    • Search Transaction
  • Refund
    • Refund
    • Get Refund Transaction Status
    • Refund Webhook Request
  • Settlement
    • Get Settlement Payout By ID
    • Search Settlement Payouts
  • Split Settlement
    • Get All Split Settlement Account
    • Deactivate Split Settlement Account
    • Submit Payment with Split Details
    • Activate Split Settlement Account
    • Edit Or Deferred Split Settlement
    • Create Split Settlement Account
    • Update Split Settlement Account
    • Get IntentLink/QrCode with Split details
  • E-Commerce Plugins
  • UPI QR
    • Create UPI QR
    • Get UPI QR
    • Search UPI QR
    • Create Customer
    • Search Customer
    • Cancel UPI QR
  • UPI Autopay
    • Mocking & Simulator (UAT)
    • Create UPI Mandate
    • Update UPI Mandate
    • Revoke UPI Mandate
    • Get UPI Mandate
    • UPI Mandate Callback
    • Mandate Pre-debit Notification
    • Execute Mandate Debit
    • Mandate Debit Callback
  • Payment Links
    • Payment Link APIs
    • Create Payment Link
    • Get Payment Link Details
    • Delete Payment Link
    • Webhook Request
  • E-Collect
    • Create Virtual Account
      POST
    • View Virtual Account by Id
      GET
    • Update Virtual Account
      PATCH
    • View Virtual Account by Account Number
      GET
    • Search Virtual Account
      POST
    • Search Transactions
      POST
    • View Virtual Account by Customer Reference Id
      GET
  1. E-Collect

View Virtual Account by Id

GET
/api/v0/merchant-virtual-account/{virtualAccountId}
Use this API to retrieve the details of a virtual account using the virtualAccountId, the unique identifier generated by Enkash when the virtual account was created. This lets you track and inspect the virtual account's full details throughout its lifecycle based on the Enkash-issued ID.

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://olympus-pg-uat.enkash.in/api/v0/merchant-virtual-account/MVAFEOKXV7OPHLVC5' \
--header 'Authorization: Bearer deruwht78wguyef3'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "response_code": 0,
    "response_message": "SUCCESS",
    "payload": {
        "virtualAccountId": "va_abc123",
        "merchantDetailId": "mdt_abc123",
        "customerId": "cust_001",
        "customerName": "John Doe",
        "customerEmail": "john@example.com",
        "customerPhone": "9876543210",
        "virtualAccountNumber": "VA00001234",
        "virtualAccountIfscCode": "RATN0VAAPIS",
        "bankName": "RBL Bank",
        "customerAccountNumber": "9876543210123",
        "customerUpiHandle": "john@upi",
        "customerIfscCode": "SBIN0001234",
        "status": "ACTIVE",
        "closedOn": "2026-06-01 23:59:59",
        "description": "Monthly rent",
        "amountPaid": 3000,
        "notes": {
            "key1": "value1",
            "key2": "value2"
        },
        "expectedAmount": 5000
    },
    "type": "string"
}
Modified at 2026-06-03 05:25:48
Previous
Create Virtual Account
Next
Update Virtual Account
Built with